Subject: WG Action: Web Replication and Caching (wrec)

From: The IESG <[email-masked]>
Date: Mon, 08 Mar 1999 07:58:52 -0500

A new working group has been formed in the Applications Area of the
IETF. Please contact the chair or Area Directors for additional
information.

Web Replication and Caching (wrec)
----------------------------------
 
 Charter 
 Last Modified: 26-Feb-99
 
 Current Status: Active Working Group
 
 Chair(s):
     John Martin <[email-masked]>
     Bill Maggs <[email-masked]>
 
 Applications Area Director(s): 
     Keith Moore  <[email-masked]>
     Patrik Faltstrom  <[email-masked]>
 
 Applications Area Advisor: 
     Keith Moore  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:wre @cs.utk.edu
     To Subscribe:      [email-masked]
     Archive:           ftp://cs.utk.edu/pub/wrec

Description of Working Group:
 
The purpose of this working group is to define a co-ordinated caching 
and replication framework for the world wide web.

Replication of web services and caching of http responses are distinct 
paradigms that to a large degree require distinct solutions. However, it 
is also important that web caches and replicated services be able to 
coexist.  Ultimately, the working group will define a framework for 
efficient, reliable, and predictable service in a web which includes 
both replicas and caches.  Part of this framework will be a means by 
which replicas and caches may be automatically discovered and utilized 
by clients.

Because of the wide variety of caching and replication solutions which 
are already in use, the initial task of the group is to familiarize 
itself with the diversity of existing practice. The group will therefore 
produce a document which provides a taxonomy of existing caching / 
replication developments and terminology which would be used as a 
reference for later work. In parallel with this, existing protocols and 
standards which are not publicly documented will be submitted to the 
IESG for publication as informational RFCs by their respective 
proponents. Once the initial phase is complete, the group will make a 
recommendation as to whether further protocol work is necessary or 
desirable, and submit a revised charter for consideration by IESG and 
IAB.
 
 Goals and Milestones: 
 
   Mar 99       First issue of I-D on taxonomy and terminology (Editor: I. 
                Melve)                                                         

   Mar 99       First issue of I-Ds on existing caching / replication protocols

   Mar 99       Meet at Minneapolis IETF                                       

   Apr 99       First issue of I-D on design goals / research issues (Editor: 
                J. Touch)                                                      

   Apr 99       Final issues of I-Ds on existing caching / replication 
                protocols                                                      

   Jun 99       Final issue of I-D on taxonomy and terminology                 

   Jun 99       Final issue of I-D on design goals / 688 research issues       

   Jul 99       Meet at Oslo IETF                                              

   Jul 99       Submit I-Ds to IESG for publication as Informational RFCs      

   Jul 99       Revise charter